class EmailLog
  include Mongoid::Document
  include Mongoid::Timestamps

  field :module_app_key
  field :mail_subject  
  field :mail_to 
  field :mail_user_id 
  field :mailer_count 

  def module_app=(app)
    self.module_app_key = app.key rescue nil
  end

  def module_app
    ModuleApp.find_by(:key=>self.module_app_key) rescue nil
  end

  def mail_user=(user)
    self.mail_user_id = user.id rescue nil
  end

  def mail_user
    User.find(self.mail_user_id) rescue nil
  end

end