class GroupCategory
	include Mongoid::Document
  	include Mongoid::Timestamps

  	field :title, localize: true
  	field :is_accepted, type: Boolean, :default => true

  	has_many :groups

  	scope :is_requested, ->{ where(is_accepted: false) }
  	scope :by_admin, ->{ where(is_accepted: true) }
end