class PageRelationship
  include Mongoid::Document
  include Mongoid::Timestamps

  field :page_id, type: String
  field :child_id, type: String

  belongs_to :parent, :class_name => "Page"
  belongs_to :child, :class_name => "Page"
end
