  OrbitApp.registration "Authorization", type: 'ModuleApp' do
    module_label 'authorization.authorization'
    base_url File.expand_path File.dirname(__FILE__) 

    
    side_bar do
      head_label_i18n 'authorization', icon_class: "icons-lock-open"
      available_for "admin"
      active_for_controllers (['admin/authorizations'])

      head_link_path "admin_authorizations_path"
      
      context_link 'all',
        link_path: "admin_authorizations_path",
        priority: 1,
        active_for_action: {authorizations: :index},
        available_for: "admin"
    end
  end
