OmniAuth.config.logger = Rails.logger

site = Site.first rescue nil
if !site.nil?
	client_id = site.google_client_id
	client_secret = site.google_client_secret

	if !client_id.nil? && !client_secret.nil?
		Rails.application.config.middleware.use OmniAuth::Builder do
	  		provider :google_oauth2, client_id, client_secret,{ access_type: "offline", approval_prompt: "" }
		end
	else
		site.google_oauth_enabled = false
		site.save
	end
end