namespace :orbit_cron do
  task :install => :environment do

    # Email cron job
    email_cron="* * * * * /bin/bash -l -c 'source \"$HOME/.rvm/scripts/rvm\" && rvm use #{RUBY_VERSION} && cd #{Rails.root.to_s} && bundle exec rake email:deliver_all > /dev/null'"

    %x(CRON="#{email_cron}" && (crontab -l; echo "$CRON" ) | crontab -)

    puts "Cron jobs installed\n"
  end
end